Skip to content
Documentation

Update Cluster (Prometheus)

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

prometheus

​

Update Cluster

​

Path Parameters

  • Integer numbers.

Body·PrometheusUpdate

required
application/json
  • Scaling multiplier for cluster capacity. Values above 3 are only available on the advanced tier.

  • Custom domain to serve the Prometheus-compatible endpoint on, instead of the generated default hostname.

  • IP addresses or subnets allowed to reach the Prometheus endpoint

  • Trusted JWT issuers that may authenticate directly against this cluster's Prometheus-compatible endpoint, each granted its own access level.

    Properties: 7
  • Weekly recurring window (UTC) during which maintenance may be performed on this cluster. Must be at least 2 hours (120 minutes) long. Leave unset to allow maintenance at any time.

    Properties: 3
  • The following optional suffixes are supported: h (hour), d (day), w (week), y (year). If suffix isn't set, then the duration is counted in months

  • Sizing/pricing tier the cluster runs at.

  • Cortex version to run.

Responses

  • application/json
  • application/json
Request Example for put/cluster/prometheus/{cluster_id}
curl /cluster/prometheus/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "tier": "basic",
  "maintenance_window": {
    "day_of_week": "monday",
    "start_time": "",
    "end_time": ""
  },
  "version": "1.20.1",
  "capacity_multiplier": 3,
  "custom_hostname": "",
  "ip_allowlist": [
    "0.0.0.0/0",
    "::/0"
  ],
  "retention_period": "90d",
  "jwt_auth_sources": []
}'
{
  "id": 1,
  "organization_id": 1,
  "name": "string",
  "tier": "basic",
  "state": "creating",
  "created_at": "2026-10-16T06:47:20.484Z",
  "updated_at": "2026-10-16T06:47:20.484Z",
  "maintenance_window": {
    "day_of_week": "monday",
    "start_time": "string",
    "end_time": "string"
  },
  "version": "1.20.1",
  "capacity_multiplier": 3,
  "url": "string",
  "custom_hostname": "string",
  "ip_allowlist": [
    "0.0.0.0/0",
    "::/0"
  ],
  "retention_period": "90d",
  "jwt_auth_sources": []
}